package cn.minestar.agriculture.mapper;

import java.util.List;

import cn.minestar.agriculture.entity.WxMiniMenu;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author www.minestar.cn/
 * @date 2021-08-10
 */
public interface WxMiniMenuMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public WxMiniMenu selectWxMiniMenuById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param wxMiniMenu 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<WxMiniMenu> selectWxMiniMenuList(WxMiniMenu wxMiniMenu);

    /**
     * 新增【请填写功能名称】
     * 
     * @param wxMiniMenu 【请填写功能名称】
     * @return 结果
     */
    public int insertWxMiniMenu(WxMiniMenu wxMiniMenu);

    /**
     * 修改【请填写功能名称】
     * 
     * @param wxMiniMenu 【请填写功能名称】
     * @return 结果
     */
    public int updateWxMiniMenu(WxMiniMenu wxMiniMenu);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteWxMiniMenuById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWxMiniMenuByIds(Long[] ids);
}
